# std::span<T,Extent>::front

From cppreference.com
< cpp‎ | container‎ | span

constexpr reference front() const; |  |

Returns a reference to the first element in the span.

Calling `front` on an empty span results in undefined behavior.

### Parameters

(none)

### Return value

A reference to the first element.

### Complexity

Constant

### Notes

For a span `c`, the expression c.front() is equivalent to *c.begin().

### Example

| This section is incomplete Reason: no example

### See also

back | access the last element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/span/front&oldid=109478"